#include <stdlib.h>
#include <stdio.h>

#include "OTcp.h"

#define NOTICE   0
#define PRIVMSG  1

//---------------------------------------------------------------------

class OIrc : public OTcp {
public:
  OIrc();
  ~OIrc();

  int ProcessMessage(char * message);
  virtual void ProcessNickList(char * channel, char * nicklist);
  virtual void ProcessJoin(char * channel, char * nick);
  virtual void ProcessPart(char * channel, char * nick);
  virtual void ProcessNick(char * old_nick /* :*] */, char * new_nick);
  virtual void ProcessQuit(char * nick);
  virtual void ProcessMsg(char * channel, char * nick, char * msg, int mode);

  void CTCPSend(char * nick, char * command, int mode);

  virtual void Log(char * message) {printf("%s\n", message);}
  virtual void Log(char * message, char * color) {printf("%s\n", message);}

protected:
  int _connected;
};
